@import 'fonts.css';

:root {
    --md-primary-fg-color: #001021;
    --checkMarkBorderColor: #000000;
    --md-text-font-family: 'Gotham Pro';
    --md-text-font: 'Gotham Pro';
}

.admonition div,
details div {
    overflow-x: auto;
}

/* Large headers */
.md-header__inner {
    padding: 1.3em .2rem;
}

/* Dark mode vars */
[data-md-color-scheme="slate"] {
    --jp-cell-editor-background: rgb(40, 40, 55);
    --jp-cell-editor-border-color: var(--jp-cell-editor-background);
    --checkMarkBorderColor: #ffffff;
    --md-default-bg-color: #141520;
    --md-typeset-a-color: #aaa;
    --md-default-fg-color--light: #fff;
}

[data-md-color-scheme="slate"] .optimizers-table-wrp a {
    color: white;
}

/* Custom logo */
.md-header__button.md-logo img,
.md-header__button.md-logo svg {
    width: auto;
}

.md-typeset h1 {
    margin: .5em 0;
}

/* this removes In[ ] in jupyter notebooks: */
.jupyter-wrapper .jp-CodeCell .jp-Cell-inputWrapper .jp-InputPrompt {
    display: none !important;
}

/* Surfaces */
.md-typeset__table {
    min-width: 100%;
}

.md-typeset table:not([class]) {
    display: table;
}

/* Optimizers */

.optimizers-table-wrp .md-typeset__scrollwrap {
    margin: unset;
}

.optimizers-table-wrp a {
    font-weight: 500;
}

.optimizers-table-wrp .md-typeset table:not([class]) td:not([align]), .md-typeset table:not([class]) th:not([align]) {
    padding: .75em;
}

.optimizers-table-wrp .md-typeset__table {
    padding: 0;
}

span.check {
    display: inline-block;
    transform: rotate(45deg);
    height: 14px;
    width: 7px;
    border-bottom: 2px solid var(--checkMarkBorderColor);
    border-right: 2px solid var(--checkMarkBorderColor);
}

/* Modals */
.modaal-container {
    padding: 4px;
    border-radius: 4px !important;
}

.modaal-content-container {
    padding: 24px !important;
}

.modaal-content-container .key {
    font-weight: 300;
}

.modaal-content-container p {
    font-weight: 200;
    font-size: 16px;
    text-align: justify;
}

.modaal-content-container p:last-of-type {
    margin-bottom: 0;
}

.modaal-content-container h1 {
    margin-top: 0;
    font-weight: 300;
}

.modaal-content-container .gh {
    max-width: 24px;
    vertical-align: middle;
    margin-top: -12px;
}

.small {
    font-size: 13px;
}

/* Enforce mathJax function to show full font size */
.MathJax {
    font-size: 100% !important;
}

video {
    max-width: 100%;
}
